import * as React from 'react';
import { CSSObject } from 'styled-components';
import { TableColumnBase } from './types';
interface TableCellProps extends TableColumnBase {
    id: string;
    dataTag: string | null;
    extendedCellStyle: CSSObject;
    column: TableColumnBase;
    renderAsCell: boolean;
    isDragging: boolean;
    onDragStart: (e: React.DragEvent<HTMLDivElement>) => void;
    onDragOver: (e: React.DragEvent<HTMLDivElement>) => void;
    onDragEnd: (e: React.DragEvent<HTMLDivElement>) => void;
    onDragEnter: (e: React.DragEvent<HTMLDivElement>) => void;
    onDragLeave: (e: React.DragEvent<HTMLDivElement>) => void;
    children?: React.ReactNode;
}
declare function TableCell({ id, column, dataTag, extendedCellStyle, renderAsCell, isDragging, onDragStart, onDragOver, onDragEnd, onDragEnter, onDragLeave, children, }: TableCellProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof TableCell>;
export default _default;
